# Get-RASFarmSettings.md

## NAME

Get-RASFarmSettings

## SYNOPSIS

Retrieves the Parallels RAS Farm settings.

## SYNTAX

**Get-RASFarmSettings** \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the Parallels RAS Farm settings.

To see the complete list of farm properties, use the Format-List cmdlet (see examples).

## PARAMETERS

## SiteId (uint)

The site ID.

To obtain the ID of a desired site, use the Get-Sites cmdlet.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[RASFarmSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasfarmsettings.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASFarmSettings

Retrieves the RAS Farm settings.\
\*\*---------- EXAMPLE 2 ----------

Get-RASFarmSettings | Format-List

Retrieves the RAS Farm settings.

The Format-List cmdlet formats the display output to include all available farm properties.

## RELATED LINKS

* [Get-RASHelpDeskEmailSettings](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/cmdlets/Get-RASHelpDeskEmailSettings.md)
* [Get-RASProxySettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasproxysettings.md)
* [Get-RASSystemSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rassystemsettings.md)
* [Get-RASClientSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasclientsettings.md)
* [Set-RASFarmSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasfarmsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasfarmsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
